petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionGetNumFields

Returns the number of fields, or 0 if no fields were defined.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetNumFields(PetscSection s, PetscInt *numFields)

Not collective

### Input Parameter

s -the PetscSection

### Output Parameter

numFields -the number of fields defined, or 0 if none were defined

### See Also

PetscSectionSetNumFields()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages